package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessTotalEntity;

import java.util.List;
import java.util.Map;

/**
 * 计划总结信息
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-30 22:18:10
 */
public interface BusinessTotalService extends IService<BusinessTotalEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据总结时间获取所有的立项信息
     * @param time
     * @return
     */
    List<BusinessTotalEntity> getListByTime(String time);

    /**
     * 今日总结总结时间list
     * @return
     */
    List<String> getTimeList();

    /**
     * 根据立项id获取所有的总结列表
     */
    List<BusinessTotalEntity> getListByProjectId(String projectId);

    /**
     * 内容复制通过时间 获取符合条件的list 包括立项 合同 复制信息
     * @param time
     * @return
     */
    Map<String, Object> getListByTimeNew(String time);

    /**
     * 详情包含关联信息
     * @param totalId
     * @return
     */
    BusinessTotalEntity getByIdNew(Integer totalId);

    List<BusinessTotalEntity> totalList(Map<String, Object> params);

    List<BusinessTotalEntity> getUncommittedList();
}

